> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> Retrieves a paginated list of subscriptions for the specified agent.
The subscriptions are returned using cursor-based pagination.



## OpenAPI

````yaml GET /api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions:
    parameters:
      - in: path
        name: workspace_id
        description: The ID of the workspace.
        example: 01kfj20p4jw63sp4jqtfm3kg1m
        required: true
        schema:
          type: string
      - in: path
        name: agent_id
        description: The ID of the agent.
        example: 01kntjsyhqzfyhwjrx6496frrh
        required: true
        schema:
          type: string
    get:
      tags:
        - Subscription
      summary: List Agent Subscriptions
      description: |-
        Retrieves a paginated list of subscriptions for the specified agent.
        The subscriptions are returned using cursor-based pagination.
      operationId: listAgentSubscriptions
      parameters:
        - in: query
          name: per_page
          description: >-
            The number of items per page. Must be at least 1. Must not be
            greater than 100.
          example: 25
          required: false
          schema:
            type: integer
            description: >-
              The number of items per page. Must be at least 1. Must not be
              greater than 100.
            example: 25
        - in: query
          name: cursor
          description: >-
            The cursor for pagination. Use the meta.next_cursor or
            meta.previous_cursor from the response.
          example: example
          required: false
          schema:
            type: string
            description: >-
              The cursor for pagination. Use the meta.next_cursor or
              meta.previous_cursor from the response.
            example: example
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 300
                      workspace_id: 01kqh44byes9kscvsdfth6g52h
                      type: default
                      stripe_id: sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U
                      stripe_status: active
                      stripe_price: null
                      quantity: null
                      trial_ends_at: null
                      ends_at: null
                      created_at: '2026-05-01T06:38:01.000000Z'
                      updated_at: '2026-05-01T06:38:01.000000Z'
                    - id: 301
                      workspace_id: 01kqh44bzkzydyf7pb56xqj5z6
                      type: default
                      stripe_id: sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ
                      stripe_status: active
                      stripe_price: null
                      quantity: null
                      trial_ends_at: null
                      ends_at: null
                      created_at: '2026-05-01T06:38:01.000000Z'
                      updated_at: '2026-05-01T06:38:01.000000Z'
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 300
                        workspace_id: 01kqh44byes9kscvsdfth6g52h
                        type: default
                        stripe_id: sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U
                        stripe_status: active
                        stripe_price: null
                        quantity: null
                        trial_ends_at: null
                        ends_at: null
                        created_at: '2026-05-01T06:38:01.000000Z'
                        updated_at: '2026-05-01T06:38:01.000000Z'
                      - id: 301
                        workspace_id: 01kqh44bzkzydyf7pb56xqj5z6
                        type: default
                        stripe_id: sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ
                        stripe_status: active
                        stripe_price: null
                        quantity: null
                        trial_ends_at: null
                        ends_at: null
                        created_at: '2026-05-01T06:38:01.000000Z'
                        updated_at: '2026-05-01T06:38:01.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 300
                        workspace_id:
                          type: string
                          example: 01kqh44byes9kscvsdfth6g52h
                        type:
                          type: string
                          example: default
                        stripe_id:
                          type: string
                          example: sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U
                        stripe_status:
                          type: string
                          example: active
                        stripe_price:
                          type: string
                          example: null
                          nullable: true
                        quantity:
                          type: string
                          example: null
                          nullable: true
                        trial_ends_at:
                          type: string
                          example: null
                          nullable: true
                        ends_at:
                          type: string
                          example: null
                          nullable: true
                        created_at:
                          type: string
                          example: '2026-05-01T06:38:01.000000Z'
                        updated_at:
                          type: string
                          example: '2026-05-01T06:38:01.000000Z'
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````